#!/usr/bin/python
# -*- coding: utf-8 -*-

"""
helper class for making a SAT frontend
Copyright (C) 2009  Jérôme Poisson (goffi@goffi.org)

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
"""

from logging import debug, info, error
from tools.jid  import JID
import pdb


class QuickContactManagement():
    """This helper class manage the contacts and ease the use of nicknames and shortcuts"""

    def __init__(self):
        self.__contactlist = {}

    def add(self, jid_param):
        jid=JID(jid_param)
        self.__contactlist[jid.short] = {'name':jid, 'last_resource':jid.resource}
    
    def remove(self, jid_param):
        jid=JID(jid_param)
        try:
            del self.__contactlist[jid.short]
        except KeyError:
            pass

    def get_full(self, jid_param):
        jid=JID(jid_param)
        return jid.short+'/'+self.__contactlist[jid.short]['last_resource']
        
